## com.lowagie.text.rtf
Class RtfMapper

    java.lang.Object
      com.lowagie.text.rtf.RtfMapper

    public class RtfMapper

extends java.lang.Object

The RtfMapper provides mappings between com.lowagie.text.* classes and the corresponding com.lowagie.text.rtf.** classes.

Version:
  $Version:$
Author:
  Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`(package private) RtfDocument` `rtfDoc` The RtfDocument this RtfMapper belongs to

Constructor Summary
`RtfMapper(RtfDocument doc)` Constructs a RtfMapper for a RtfDocument

Method Summary
`RtfBasicElement` `mapElement(Element element)` Takes an Element subclass and returns the correct RtfBasicElement subclass, that wraps the Element subclass.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rtfDoc

    RtfDocument rtfDoc

  The RtfDocument this RtfMapper belongs to

Constructor Detail

### RtfMapper

    public RtfMapper(RtfDocument doc)

  Constructs a RtfMapper for a RtfDocument

  Parameters:
    `doc` - The RtfDocument this RtfMapper belongs to

Method Detail

### mapElement

    public RtfBasicElement mapElement(Element element)
                               throws DocumentException

  Takes an Element subclass and returns the correct RtfBasicElement subclass, that wraps the Element subclass.

  Parameters:
    `element` - The Element to wrap
  Returns:
    A RtfBasicElement wrapping the Element
  Throws:
    `DocumentException`